Naar hoofdinhoud gaan

Deze browser wordt niet meer ondersteund.

Upgrade naar Microsoft Edge om te profiteren van de nieuwste functies, beveiligingsupdates en technische ondersteuning.

Microsoft Edge downloaden Meer informatie over Internet Explorer en Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Skills

Create a new version of a skill Create a skill version from uploaded files

POST /skills/{name}/versions

Creates a new version of a skill. If the skill does not exist, it will be created. Creates a new version of a skill from uploaded files via multipart form data.

Padparameters

name string vereist

The name of the skill. If the skill does not exist, it will be created.

Koptekstparameters

Foundry-Features enum vereist

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Skills=V1Preview

Queryparameters

api-version string vereist

The API version to use for this operation.

Aanvraagbody

The multipart request content.

Content-Type: application/json
inline_content SkillInlineContent

Inline content for defining a simple skill without uploading files. Follows the agentskills.io SKILL.md specification.

description string vereist

A human-readable description of what the skill does and when to use it.

instructions string vereist

The skill instructions in markdown format. This is the body content of the SKILL.md file.

license string

License name or reference to a bundled license file.

compatibility string

Environment requirements or compatibility notes for the skill.

metadata object

Arbitrary key-value metadata for additional properties.

[key: string] string
allowed_tools string[]

List of pre-approved tools the skill may use. Experimental.

default boolean

Whether to set this version as the default.

Content-Type: multipart/form-data
files any[] vereist

Skill files to upload. Upload a single zip file or multiple individual files with relative paths.

default boolean

Whether to set this version as the default. Defaults to false.

Antwoorden

The request has succeeded.

Hoofdtekst

Content-Type: application/json
id string vereist

The unique identifier of the skill version.

skill_id string vereist

The identifier of the parent skill.

name string vereist

A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.

version string vereist

The version identifier. Skill versions are immutable.

description string vereist

A human-readable description of the skill version.

created_at integer vereist

Client error

Hoofdtekst

Content-Type: application/json
error OpenAI.Error vereist
code string | null vereist
message string vereist
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Een van de volgende:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vereist

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Hoofdtekst

Content-Type: application/json
error OpenAI.Error vereist
code string | null vereist
message string vereist
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Een van de volgende:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vereist

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Aanvraag

POST /skills/{name}/versions HTTP/1.1

Respons

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
nl-nl
Uw privacykeuzes
  • AI-disclaimer
  • Vorige versies
  • Blog
  • Bijdragen
  • Privacy
  • Privacy van gezondheidsdata
  • Gebruiksvoorwaarden
  • Handelsmerken
  • © Microsoft 2026